Loading...
Searching...
No Matches
seqan3::search_cfg Namespace Reference

A special sub namespace for the search configurations. More...

## Classes

struct | error_count
| A strong type of underlying type uint8_t that represents the number of errors. More...
struct | error_rate
| A strong type of underlying type double that represents the rate of errors. More...
class | hit
| A dynamic configuration element to configure the hit strategy at runtime. More...
class | hit_all
| Configuration element to receive all hits within the error bounds. More...
class | hit_all_best
| Configuration element to receive all hits with the lowest number of errors within the error bounds. More...
class | hit_single_best
| Configuration element to receive a single best hit with the lowest number of errors within the error bounds. More...
class | hit_strata
| Configuration element to receive all hits with the best number of errors plus the given stratum. All hits are found with the fewest number of errors plus 'stratum'. More...
class | max_error_deletion
| Configuration element that represents the number or rate of deletion errors. More...
class | max_error_insertion
| Configuration element that represents the number or rate of insertion errors. More...
class | max_error_substitution
| Configuration element that represents the number or rate of substitution errors. More...
class | max_error_total
| Configuration element that represents the number or rate of total errors. More...
class | on_result
| Configuration element to provide a user defined callback function for the search. More...
class | output_index_cursor
| Include the index_cursor in the seqan3::search_result returned by a call to seqan3::search. More...
class | output_query_id
| Include the query_id in the seqan3::search_result returned by a call to seqan3::search. More...
class | output_reference_begin_position
| Include the reference_begin_position in the seqan3::search_result returned by a call to seqan3::search. More...
class | output_reference_id
| Include the reference_id in the seqan3::search_result returned by a call to seqan3::search. More...

## Typedefs

using | parallel
| Enables the parallel execution of the search algorithm if possible for the given configuration.

## Functions

Type deduction guides
template<std::move_constructible callback_t>
| on_result (callback_t &&) -> on_result< std::decay_t< callback_t > >
| Deduces the callback type from a forwarding constructor argument.

## Variables

constexpr configuration | default_configuration
| The default configuration: Compute all exact matches.

## Detailed Description

A special sub namespace for the search configurations.

Hide me